*You need to change the directory*
global path "C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/RR_ROU_2024_100/files submitted/version1/Replication package Tax Evasion/"

cd "$path"

* This stores the ado files needed to run the package 
* packages installed are inequal7 and pshare
sysdir set PLUS "$path/Code/ado"

log using 2.Tables_Figures.log
use Data_ready/EU_SILC_imputed, clear 


**Figure 1. The distribution of observed gross labor income in the EU-SILC and tax data**
kdensity py010g if pl145!=0 & pl040a==3 & pb150==2 & _mi_m==0 & py010g<29678,nograph generate(x xp)
kdensity taxincome if pl145!=0 & pl040a==3 & pb150==2 & taxincome<56975, nograph generate(y yp)

twoway (histogram py010g if pl145!=0 & pl040a==3 & pb150==2 & py010g <29678 & _mi_m==0, fraction color(red%30)) (histogram taxincome if pl145!=0 & pl040a==3 & pb150==2 & taxincome<56975, fraction color(green%30)),  legend(order(1 "EU-SILC" 2 "Imputed tax income")) xline(5531 7441)
**Table 3. The distribution of survey income, tax income, and imputed tax income (2020 €).**
**Annual income based on survey data**
sum py010g if pl145!=0 & py010g!=0 & pl040a==3 [aw=pb040], detail

*Censored mean*
mean py010g if pl145!=0 & py010g!=0 & pl040a==3 & py010g<29677 [aw=pb040]

** Tax income - estimated in tax data file**
* replicators did not have information for the following data
*use Data\Tax_07_2020_for_imputation, clear
*sum py010g, detail

**Imputed tax annual gross income (imputed EU-SILC)
use Data_ready\EU_SILC_imputed, clear 
sum taxincome if taxdata==. & pl145!=0 & pl040a==3 [aw=pb040], detail

*Censored mean*
mean taxincome if pl145!=0 & py010g!=0 & pl040a==3 & taxincome<29677 [aw=pb040]

**Table 4. Income inequality in Romania (gross labor income, only employees).**
**Survey data (EU-SILC)**
inequal7 py010g if pl145!=0 & pl040a==3 [aw=pb040]
pshare py010g if pl145!=0 & pl040a==3 [pw=pb040], percentiles (50 90)
pshare py010g if pl145!=0 & pl040a==3 [pw=pb040], percentiles (99)

*Tax income  estimated in tax data file**
* replicators did not have information for the following data
*use Data\Tax_07_2020, clear

*inequal7 vbrut if sample==1
*pshare vbrut if sample==1, percentiles (50 90)
*pshare vbrut if sample==1, percentiles (99)

**Imputed tax income**
use Data_ready\EU_SILC_imputed, clear 
inequal7 taxincome if pl145!=0 & pl040a==3 [aw=pb040]
pshare taxincome if pl145!=0 & pl040a==3 [pw=pb040], percentiles (50 90)
pshare taxincome if pl145!=0 & pl040a==3 [pw=pb040], percentiles (99)

**Table 5. Tax compliance across the sectors of the economy. The code summarizes the distributions of survey income (py010g) and taxincome (taxincome). To obtain estimates reported in the Table you need to divide median tax income by median survey income.**
by nace: sum py010g if pl145!=0 & py010g!=0 & pl040a==3 [aw=pb040], detail
by nace: sum taxincome if pl145!=0  & pl040a==3 [aw=pb040], detail

*This line of code estimates the share of employees across sectors**
tab nace [aw=pb040] if _mi_m==0 & pl040a==3

**Table 6. Tax compliance: "cell" approach, men. 

** The code summarizes the distributionof gross labor income in EU-SILC (py010g), and imputed tax income. We have 5 age groups and 4 regions. To obtain estimates reported in the Table you need to divide median tax income by median survey income in each cell**
**age=1*
sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==1 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==1 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==1 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==1 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==1 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==1 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==1 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==1 [aw=pb040], detail

*age=2*
sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==2 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==2 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==2 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==2 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==2 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==2 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==2 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==2 [aw=pb040], detail

*age=3*
sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==3 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==3 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==3 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==3 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==3 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==3 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==3 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==3 [aw=pb040], detail

*age=4*
sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==4 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==4 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==4 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==4 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==4 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==4 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==4 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==4 [aw=pb040], detail

*age=5*
sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==5 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==1 & age_group_10==5 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==5 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==2 & age_group_10==5 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==5 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==3 & age_group_10==5 [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==5 [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==1 & db040_encode==4 & age_group_10==5 [aw=pb040], detail


**Table 7. Tax compliance: "cell" approach, women**
**The code summarizes the distributionof gross labor income in EU-SILC (py010g), and imputed tax income. We have 5 age groups and 4 regions. To obtain estimates reported in the Table you need to divide median tax income by median survey income in each cell**
**age=1*
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==1  & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==1  & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==1 & py010g!=. & taxincome!=. [aw=pb040], detail

*age=2*
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==2 & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==2 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==2 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==2 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==2  & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==2 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==2 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==2  & py010g!=. & taxincome!=.  [aw=pb040], detail

*age=3*
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==3  & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==3 & py010g!=. & taxincome!=. [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==3 & py010g!=. & taxincome!=. [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==3 & py010g!=. & taxincome!=. [aw=pb040], detail
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==3 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==3 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==3 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==3 & py010g!=. & taxincome!=.  [aw=pb040], detail

*age=4*
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==4 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==4 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==4 & py010g!=. & taxincome!=.  [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==4 & py010g!=. & taxincome!=.  [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==4 & py010g!=. & taxincome!=.   [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==4 & py010g!=. & taxincome!=.   [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==4 & py010g!=. & taxincome!=.   [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==4 & py010g!=. & taxincome!=.   [aw=pb040], detail

*age=5*
sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==5  & py010g!=. & taxincome!=.   [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==1 & age_group_10==5  & py010g!=. & taxincome!=.    [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==5  & py010g!=. & taxincome!=.   [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==2 & age_group_10==5   & py010g!=. & taxincome!=.   [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==5  & py010g!=. & taxincome!=.    [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==3 & age_group_10==5  & py010g!=. & taxincome!=.    [aw=pb040], detail

sum py010g if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==5  & py010g!=. & taxincome!=.    [aw=pb040], detail
sum taxincome if pl145!=0 & pl040a==3 & pb150==2 & db040_encode==4 & age_group_10==5  & py010g!=. & taxincome!=.    [aw=pb040], detail


**Table 8. The share of minimum wage earners in survey data, imputed survey data, and tax data (only full-time employees)***
**Share of mw workers in EU-SILC; 0 - lower than MW, 1 - MW, 0 - higher than MW)
tab mw_worker_SILC [aw=pb040]
**Share of mw workers in tax imputed EU-SILC; -1 - lower than MW, 1 - MW, 0 - higher than MW*
tab mw_worker_imputed [aw=pb040]

*The share of mw workers in tax data is calcualted in tax data; 0 - lower than MW, 1 - MW, 0 - higher than MW*)
* replicators did not have information for the following data
*use Data\Tax_07_2020, clear
*tab mw_status if work_schedule==1
